org.apache.lucene.queryparser.flexible.standard.config

## Class LegacyNumericConfig

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.config.LegacyNumericConfig

- Deprecated.
  Index with Points instead and use `PointsConfig`

      @Deprecated
      public class LegacyNumericConfig
      extends Object

  This class holds the configuration used to parse numeric queries and create `LegacyNumericRangeQuery`s.
  See Also:
    `LegacyNumericRangeQuery`, `NumberFormat`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyNumericConfig(int precisionStep, NumberFormat format, FieldType.LegacyNumericType type)` Deprecated. Constructs a `LegacyNumericConfig` object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Deprecated.
    `NumberFormat` | `getNumberFormat()` Deprecated. Returns the `NumberFormat` used to parse a `String` to `Number`
    `int` | `getPrecisionStep()` Deprecated. Returns the precision used to index the numeric values
    `FieldType.LegacyNumericType` | `getType()` Deprecated. Returns the numeric type used to index the numeric values
    `int` | `hashCode()` Deprecated.
    `void` | `setNumberFormat(NumberFormat format)` Deprecated. Sets the `NumberFormat` used to parse a `String` to `Number`
    `void` | `setPrecisionStep(int precisionStep)` Deprecated. Sets the precision used to index the numeric values
    `void` | `setType(FieldType.LegacyNumericType type)` Deprecated. Sets the numeric type used to index the numeric values

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegacyNumericConfig

          public LegacyNumericConfig(int precisionStep,
                                     NumberFormat format,
                                     FieldType.LegacyNumericType type)

      Deprecated.
      Constructs a `LegacyNumericConfig` object.
      Parameters:
        `precisionStep` - the precision used to index the numeric values
        `format` - the `NumberFormat` used to parse a `String` to `Number`
        `type` - the numeric type used to index the numeric values
      See Also:
        `setPrecisionStep(int)`, `setNumberFormat(NumberFormat)`, `setType(org.apache.lucene.document.FieldType.LegacyNumericType)`

  - ### Method Detail

    - #### getPrecisionStep

          public int getPrecisionStep()

      Deprecated.
      Returns the precision used to index the numeric values
      Returns:
        the precision used to index the numeric values
      See Also:
        `LegacyNumericRangeQuery.getPrecisionStep()`

    - #### setPrecisionStep

          public void setPrecisionStep(int precisionStep)

      Deprecated.
      Sets the precision used to index the numeric values
      Parameters:
        `precisionStep` - the precision used to index the numeric values
      See Also:
        `LegacyNumericRangeQuery.getPrecisionStep()`

    - #### getNumberFormat

          public NumberFormat getNumberFormat()

      Deprecated.
      Returns the `NumberFormat` used to parse a `String` to `Number`
      Returns:
        the `NumberFormat` used to parse a `String` to `Number`

    - #### getType

          public FieldType.LegacyNumericType getType()

      Deprecated.
      Returns the numeric type used to index the numeric values
      Returns:
        the numeric type used to index the numeric values

    - #### setType

          public void setType(FieldType.LegacyNumericType type)

      Deprecated.
      Sets the numeric type used to index the numeric values
      Parameters:
        `type` - the numeric type used to index the numeric values

    - #### setNumberFormat

          public void setNumberFormat(NumberFormat format)

      Deprecated.
      Sets the `NumberFormat` used to parse a `String` to `Number`
      Parameters:
        `format` - the `NumberFormat` used to parse a `String` to `Number`, must not be `null`

    - #### equals

          public boolean equals(Object obj)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.